# GET /block/:hash/status

Returns the block status.

This method will use `10` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

**`block`**- block hash, required.

Example: `0000000000000000000226ab487ff1a8456a30feb1bde3d65b6a67128074e19a`

## Returns

Returns the block status.

Available fields: `in_best_chain` (boolean, false for orphaned blocks), `next_best` (the hash of the next block, only available for blocks in the best chain).

{% code overflow="wrap" %}

```json
{
	"in_best_chain": true,
	"height": 910150,
	"next_best": "00000000000000000000c4fbeb08c6ef3f52e6d74dc461ac2f66e26e467bce29"
}
```

{% endcode %}

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/block/0000000000000000000226ab487ff1a8456a30feb1bde3d65b6a67128074e19a/status \
 -X GET
```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/block/0000000000000000000226ab487ff1a8456a30feb1bde3d65b6a67128074e19a/status \
 -X GET
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/bitcoin/esplora-http-api/blocks/get-block-hash-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
